with GNATCOM.Dispinterface;

package MSHTML.IHTMLPopup_Object is

   type IHTMLPopup_Type is
     new GNATCOM.Dispinterface.Dispinterface_Type with null record;

   procedure Show
     (This     : IHTMLPopup_Type;
      x        : GNATCOM.Types.VARIANT;
      y        : GNATCOM.Types.VARIANT;
      w        : GNATCOM.Types.VARIANT;
      h        : GNATCOM.Types.VARIANT;
      pElement : GNATCOM.Types.VARIANT;
      Free     : Boolean := True);

   procedure Hide
     (This : IHTMLPopup_Type);

   function Get_document
     (This : IHTMLPopup_Type)
     return GNATCOM.Types.VARIANT;

   function Get_isOpen
     (This : IHTMLPopup_Type)
     return GNATCOM.Types.VARIANT;

end MSHTML.IHTMLPopup_Object;

